Bug 983221 - Unable to select single locked element with left click.
Unable to select single locked element with left click.
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 14:26 EDT by Marek Baluch
Modified: 2014-02-07 11:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-07-10 14:26:47 EDT
Description of problem:
When an element in the process designer is locked using the "lock process part" feature then it's not possible to select a single element using the left mouse button and unlock it.

Version-Release number of selected component (if applicable):
Upstream Beta5


How reproducible:
1) create a process containing a start node and a end node.
2) select the whole process and use the lock feature.
3) now try to select the start node using the left mouse button
Comment 1 Marek Baluch 2013-07-11 16:08:02 EDT
Looks like this may actually be intended behaviour.

Is the lock mechanism reached by preventing the user to show the properties panel? See https://bugzilla.redhat.com/show_bug.cgi?id=983732.
Comment 2 Marek Baluch 2013-07-12 10:25:01 EDT
Found in DR6 (Beta5).
Comment 3 Tihomir Surdilovic 2013-08-27 09:52:10 EDT
You have to highlight the node and click the unlock button to unlock it. Same works if you highlight several locked nodes.
Comment 4 Marek Baluch 2013-08-27 09:57:07 EDT
Any particular reason why viewing the properties of a locked element is forbidden?
Comment 5 Marek Baluch 2013-08-27 10:05:14 EDT
I really think it should be possible to select a node using the left click as that is the most common way to do so. Highlighting (hold_left_button-select_elements-release_left_button) is IMHO only an advanced way to use when you want to select more elements without using the ctrl key.
Comment 6 Prakash Aradhya 2013-09-16 14:53:27 EDT
Internal Whiteboard: Beta Blocker → Blocker
Not critical for Beta, but need to address for GA
Comment 7 Tihomir Surdilovic 2013-09-17 13:56:15 EDT
A node that is locked should not be selectable. You can still unlock it by dragging over it. The properties are hidden because of another BZ that requested that feature :) 

I don't think making locked nodes selectable is the way to do.
Comment 8 Marek Baluch 2013-09-20 07:58:27 EDT
The issue is that if you can select the node then can also edit it. And you can select it by dragging over it (as you said). That means that the node is not really locked.

It's possible that I just don't understand this feature. What is it supposed to do? Is it a traditional lock/unlock which is supposed to prevent a user from modifying the nodes properties? Or is it something else?
Comment 9 Prakash Aradhya 2013-10-17 13:42:17 EDT
Tiho,
Can you take another look at this issue and clarify ?  I am completely lost in the description.
Comment 10 Marek Baluch 2013-10-18 04:07:47 EDT
Prakash,

have a look at the video attached here: https://bugzilla.redhat.com/show_bug.cgi?id=1020704

It shows the lock feature. I believe that should put things into perspective.
Comment 11 Tihomir Surdilovic 2013-10-21 10:10:46 EDT
Here is the article http://surdilovic.wordpress.com/2012/05/19/jbpm-designer-locking-and-unlocking/

Locked nodes have to be "selectable" via dragging over one+ nodes to they can be unlocked. This feature helps during development of the process model for a single user or multiple users that collaborate over it. 

We fixed the properties not being editable for locked nodes. That IMO fixes the issue really.
Comment 12 Marek Baluch 2013-11-01 07:23:47 EDT
I think it's confusing but if that's the design then so be it. I guess that if customers won't like it then we can still sit down discuss things over and come up with improvements.

I will verify and close when the fix will make it into a build. 

Thank you Tihomir.
Comment 13 Marek Baluch 2013-12-04 02:27:09 EST
Verified on ER5.
Comment 14 Lukáš Petrovický 2014-02-07 11:15:26 EST
This BZ has been part of the 6.0.0 stream.

Note You need to log in before you can comment on or make changes to this bug.